# Module: logs

Source:
  - logs.js, line 2

### Methods

#### (static) subscribe(uuid, options, callback)

Subscribe to device logs by their UUID

##### Parameters:

Name | Type | Description
--- | --- | ---
`uuid` | String | the device uuid
`options` | Object | logs options (history=0, tail=false)
`callback` | module:resin.logs~subscribeCallback | callback

Source:
  - logs.js, line 56
To Do:
  - Find a way to test this

##### Throws:

Will throw if `options.history` is not a number or parseable string.

Type
  Error

##### Examples

    uuid = 23c73a12e3527df55c60b9ce647640c1b7da1b32d71e6a39849ac0f00db828
    resin.logs.subscribe uuid, {
    		history: 20
    }, (error, message) ->
    		throw error if error?
    		console.log(message)

    uuid = 23c73a12e3527df55c60b9ce647640c1b7da1b32d71e6a39849ac0f00db828
    resin.logs.subscribe uuid, {
    		tail: true
    }, (error, message) ->
    		throw error if error?
    		console.log(message)